#!/usr/bin/perl -w

use GOGraph::Statistics::CountDepths;

use GOGraph::GOAppHandleFactory;

my $apph = GOGraph::GOAppHandleFactory::go_apph();


my $root_terms = $apph->get_ontology_root_terms();

foreach my $start_term ( @$root_terms ){
  print "For aspect " . $start_term->name . "\n";
  my $results = GOGraph::Statistics::CountDepths::count_depths( $start_term );
}
