#!/usr/bin/perl -w

=head1 NAME

  CharacteriseRelationships

=head1 DESCRIPTIONS

  Counts the number of different relationships, for
  the different aspects of GO.

=cut

use strict;

use GOGraph::GOAppHandleFactory;

use GO::AppHandle;


my $apph = GOGraph::GOAppHandleFactory::go_apph();

my $graph = $apph->get_graph(-acc=>5694, -depth=>2);

use GO::Dotty::Dotty;

print GO::Dotty::Dotty::go_graph_to_graphviz ( $graph )->as_text();
GO::Dotty::Dotty::graphviz_to_dotty( GO::Dotty::Dotty::go_graph_to_graphviz ( $graph ) );



