#!/usr/bin/perl -w

use strict;
use Test;
use lib '../t', '../lib';


use GOGraph::GOAppHandleFactory;
use GOGraph::Similarity::Factory;

BEGIN{ plan tests => 5 }


my $all = GOGraph::Similarity::Factory::resnick_sim_all();
my $function = GOGraph::Similarity::Factory::resnick_aspect_function();
my $component = GOGraph::Similarity::Factory::resnick_aspect_component();
my $process = GOGraph::Similarity::Factory::resnick_aspect_process();


ok( 1 );

my $apph = GOGraph::GOAppHandleFactory::go_apph();



my @terms = [];
$terms[ 0 ] = $apph->get_term_by_acc( 7610 );
$terms[ 1 ] = $apph->get_term_by_acc( 16032 );

my $sims = [ $all, $function, $component, $process ];
foreach my $sim ( @$sims ){
  my $similarity = $sim->similarity_between_terms( $terms[ 0 ], $terms[ 1 ] );

  print "Similarity is $similarity\n";
  ok( 1 );
}


