#!/usr/bin/perl -w

## NOT FUNCTIONAL CURRENTLY

=head1 NAME

  gatheroutliers

=head1 DESCRIPTION

  Iterate through all proteins in SWISS-PROT, blast each, compare the
  hits with the search protein, and gather the ones with a semantic
  similarity above the cut off value.

  This is not currently functional

=head1 AUTHOR

  Phillip Lord (p.lord@russet.org.uk)

=head1 COPYRIGHT

  This code is copyright by the University of Manchester (2002)

=head1 LICENSE

  This module is free software; you can redistribute it or
  modify it under the same terms as Perl itself.

  If you use this software for published research, please
  check my website (http://www.russet.org.uk) for recent
  citation.

=cut

use strict;

use GOGraph::Statistics::BlastDispatcher;
use GOGraph::Statistics::GOCompare;
use GOGraph::Similarity::Factory;
use GOGraph::Statistics::OutputSemSimAbove;

$GOGraph::Statistics::OutputSemSimAbove::cutoff = 7;

$| = 1;
my $comparitors =
  GOGraph::Similarity::Factory::resnick_similarities_array_reference();


my $goaspect = GOGraph::Statistics::GOCompare->new
  ( $comparitors, GOGraph::Statistics::OutputSemSimAbove->new() );
my $dispatcher = GOGraph::Statistics::BlastDispatcher->new
  ( $goaspect );



$dispatcher->straight_blast_hits();
