#!/usr/bin/perl

use strict;

use GOGraph::GOAppHandleFactory;
use GOGraph::GeneProduct::Collections::AllSwissprotCollection;



$! = 1;

my $apph = GOGraph::GOAppHandleFactory::go_apph();

my $swissprot_proteins = GOGraph::GeneProduct::Collections::AllSwissprotCollection
  ->new->collection;


foreach my $protein (@$swissprot_proteins){

  my $terms = $apph->get_terms({'product'=>$protein});

  if( defined $terms ){
    print $protein;

    foreach my $term (@$terms){
      print "\t" . $term->acc;
    }
    print "\n";
  }
}
