use GOGraph::GOAppHandleFactory;
use GOGraph::Statistics::Scripts::CharacteriseRelationships;
use GO::AppHandle;



my $apph = GOGraph::GOAppHandleFactory::go_apph();

my $cell_comp = $apph->get_terms({'acc'=>5575});

print_all_children( $cell_comp->[ 0 ], {} );

sub print_all_children{
  my $term = shift;
  my $seen = shift;

  $seen->{ $term->public_acc } = 1;

  my $child_terms = $term->get_child_terms;

  if( scalar( @$child_terms ) == 0 ){
    ##print "\tTerminating at " . $term->name . "\n";
  }
  foreach my $t ( @$child_terms ){

    if( defined $seen->{ $t->public_acc } ){
    }
    else{
      ##print "\t\tRecursing from " . $term->name . "\n";

      my $relation = $apph->get_relationships( {child=>$t, parent=>$term} );
      print  $t->acc . "\t" . $relation->[ 0 ]->type . "\t" . $term->acc . "\n";
      $i = print_all_children( $t, $seen );
    }
  }
}
