
package GOGraph::Similarity::InformationContent::Base::DatabaseFactory;

=head1

  Provides a factory for database connection. Relatively straight forward,
  and means that I can share the connection between different instances
  of the SqlOccurrence.

  Edit the values for the database connection if they are not appropriate.

=head1 AUTHOR

  Phillip Lord (p.lord@russet.org.uk)

=head1 COPYRIGHT

  This code is copyright by the University of Manchester (2002)

=head1 LICENSE

  This module is free software; you can redistribute it or
  modify it under the same terms as Perl itself.

  If you use this software for published research, please
  check my website (http://www.russet.org.uk) for recent
  citation.

=cut

## use Config::App::AppProperties;
use Carp;

my $connection;

sub database_handle{
  unless( defined $connection ){
    ## my $config = Config::App::AppProperties->new();
    ## $self->{properties}= $config->load_config( "datasource.props" );
    ## my $properties = $self->{properties};

    ## these are the minimal properties that I need to connect.
    ## my $database = $properties->getProperty("similarity.resnick.database")
    ##    || croak "Database URL not set.";
    ## my $username = $properties->getProperty("similarity.resnick.username")
    ##    || "";
    ## my $password = $properties->getProperty("similarity.resnick.password")
    ##    || "";

    ## Edit these appropriately for your database.
    my $database = "DBI:mysql:database=informationcontent;host=localhost";
    my $username = "phil";
    my $password = "h0bbes";

    $connection = DBI->connect
      ( $database, $username, $password )
        || croak "Can not establish connection to database $database";
  }

  return $connection;
}


1;
