#!/usr/bin/perl -w

package GOGraph::Similarity::Similarity;


=head1 NAME

  GOGraph::Similarity::Similarity

=head1 DESCRIPTION

  Defines an interface for calculating semantic similarity.

=head2 similarity_between_terms
  param - two objects of type GO::Model::Term
  return - some similarity value between these two terms

=head2 constraint_name
  return - a string representing how the similarity was calculated.

=head1 AUTHOR

  Phillip Lord (p.lord@russet.org.uk)

=head1 COPYRIGHT

  This code is copyright by the University of Manchester (2002)

=head1 LICENSE

  This module is free software; you can redistribute it or
  modify it under the same terms as Perl itself.

  If you use this software for published research, please
  check my website (http://www.russet.org.uk) for recent
  citation.

=cut

use strict;


